coherence

## Class Person.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<Person>
    - - coherence.Person.Builder

- All Implemented Interfaces:
    RecordBuilder<Person>
  Enclosing class:
    Person

      public static class Person.Builder
      extends SpecificRecordBuilderBase<Person>
      implements RecordBuilder<Person>

  RecordBuilder for Person instances.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Person` | `build()`
    `Person.Builder` | `clearAge()` Clears the value of the 'age' field
    `Person.Builder` | `clearFirstname()` Clears the value of the 'firstname' field
    `Person.Builder` | `clearLastname()` Clears the value of the 'lastname' field
    `Person.Builder` | `clearPhone()` Clears the value of the 'phone' field
    `Integer` | `getAge()` Gets the value of the 'age' field
    `String` | `getFirstname()` Gets the value of the 'firstname' field
    `String` | `getLastname()` Gets the value of the 'lastname' field
    `String` | `getPhone()` Gets the value of the 'phone' field
    `boolean` | `hasAge()` Checks whether the 'age' field has been set
    `boolean` | `hasFirstname()` Checks whether the 'firstname' field has been set
    `boolean` | `hasLastname()` Checks whether the 'lastname' field has been set
    `boolean` | `hasPhone()` Checks whether the 'phone' field has been set
    `Person.Builder` | `setAge(int value)` Sets the value of the 'age' field
    `Person.Builder` | `setFirstname(String value)` Sets the value of the 'firstname' field
    `Person.Builder` | `setLastname(String value)` Sets the value of the 'lastname' field
    `Person.Builder` | `setPhone(String value)` Sets the value of the 'phone' field

    - ### Methods inherited from class org.apache.avro.data.RecordBuilderBase

      `data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFirstname

          public String getFirstname()

      Gets the value of the 'firstname' field

    - #### setFirstname

          public Person.Builder setFirstname(String value)

      Sets the value of the 'firstname' field

    - #### hasFirstname

          public boolean hasFirstname()

      Checks whether the 'firstname' field has been set

    - #### clearFirstname

          public Person.Builder clearFirstname()

      Clears the value of the 'firstname' field

    - #### getLastname

          public String getLastname()

      Gets the value of the 'lastname' field

    - #### setLastname

          public Person.Builder setLastname(String value)

      Sets the value of the 'lastname' field

    - #### hasLastname

          public boolean hasLastname()

      Checks whether the 'lastname' field has been set

    - #### clearLastname

          public Person.Builder clearLastname()

      Clears the value of the 'lastname' field

    - #### getPhone

          public String getPhone()

      Gets the value of the 'phone' field

    - #### setPhone

          public Person.Builder setPhone(String value)

      Sets the value of the 'phone' field

    - #### hasPhone

          public boolean hasPhone()

      Checks whether the 'phone' field has been set

    - #### clearPhone

          public Person.Builder clearPhone()

      Clears the value of the 'phone' field

    - #### getAge

          public Integer getAge()

      Gets the value of the 'age' field

    - #### setAge

          public Person.Builder setAge(int value)

      Sets the value of the 'age' field

    - #### hasAge

          public boolean hasAge()

      Checks whether the 'age' field has been set

    - #### clearAge

          public Person.Builder clearAge()

      Clears the value of the 'age' field

    - #### build

          public Person build()

      Specified by:
        `build` in interface `RecordBuilder<Person>`

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.